Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(8)

Issue 1672603002: Change assert to release assert for BitArray to prevent out-of-bounds access. (Closed)

Created:
4 years ago by mmoroz
Modified:
4 years ago
CC:
blink-reviews, blink-reviews-wtf_chromium.org, chromium-reviews, Mikhail
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Change assert to release assert for BitArray to prevent out-of-bounds access. R=inferno@chromium.org, mbarbella@chromium.org, ochang@chromium.org, tkent@chromium.org BUG=574802 Committed: https://crrev.com/c8d32dd6e615b7b76c8e89d36f6ccf8786102180 Cr-Commit-Position: refs/heads/master@{#373745}

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+3 lines, -3 lines) Patch
M third_party/WebKit/Source/wtf/BitArray.h View 1 chunk +3 lines, -3 lines 0 comments Download

Messages

Total messages: 10 (2 generated)
mmoroz
4 years ago (2016-02-05 02:17:40 UTC) #1
inferno
lgtm
4 years ago (2016-02-05 02:24:53 UTC) #2
inferno
tkent: can you please do the owners review.
4 years ago (2016-02-05 02:25:12 UTC) #3
tkent
lgtm
4 years ago (2016-02-05 03:32:53 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1672603002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1672603002/1
4 years ago (2016-02-05 03:33:30 UTC) #6
commit-bot: I haz the power
Committed patchset #1 (id:1)
4 years ago (2016-02-05 04:52:14 UTC) #7
commit-bot: I haz the power
Patchset 1 (id:??) landed as https://crrev.com/c8d32dd6e615b7b76c8e89d36f6ccf8786102180 Cr-Commit-Position: refs/heads/master@{#373745}
4 years ago (2016-02-05 04:53:07 UTC) #9
mmoroz
4 years ago (2016-02-08 17:23:24 UTC) #10
Message was sent while issue was closed.
On 2016/02/05 04:53:07, commit-bot: I haz the power wrote:
> Patchset 1 (id:??) landed as
> https://crrev.com/c8d32dd6e615b7b76c8e89d36f6ccf8786102180
> Cr-Commit-Position: refs/heads/master@{#373745}

Seems that this CL hasn't produced any negative impact on performance:
https://chromeperf.appspot.com/group_report?rev=373745

Powered by Google App Engine
This is Rietveld 408576698